<script>
    import { Router, createRouter } from '@roxi/routify'
    import routes from '../.routify/routes.default.js'

    const router = createRouter({
        routes,
        urlRewrite: {
            toExternal: url => '/admin' + url,
            toInternal: url => url.replace(/^\/admin/, ''),
        },
    })

    // /** @type {UrlRewrite}*/
    // const urlRewrite = {
    //     toExternal: url => '/admin' + url,
    //     toInternal: url => url.replace(/^\/admin/, ''),
    // }
</script>

<Router {router} /> <!-- {urlRewrite} -->
